Package csb :: Package statistics :: Module mixtures :: Class ConformerMixture

[frames] | no frames]

# Class ConformerMixture

source code

              object --+
                       |
         GaussianMixture --+
                           |
    AbstractStructureMixture --+
                               |
                              ConformerMixture

Gaussian mixture model for protein structure ensembles using a set of conformers

If `mixture` is a trained model, the ensemble coordinate array of structures from `X` which belong to conformation `k` is given by:

    >>> indices = numpy.where(mixture.membership == k)[0]
    >>> conformer = [mixture.datapoint(m, k) for m in indices]

Nested Classes
Inherited from `AbstractStructureMixture`: `__metaclass__`

Instance Methods

estimate_T(self) Estimate superpositions | source code

Inherited from `AbstractStructureMixture`: `__init__`, `datapoint`, `m_step`

Inherited from `GaussianMixture`: `anneal`, `del_cache`, `e_step`, `em`, `estimate_means`, `estimate_scales`, `increment_K`, `overlap`, `randomize_means`, `randomize_scales`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods
Inherited from `GaussianMixture`: `new`, `series`

Class Variables
| __abstractmethods__ = ``frozenset([``])``
Inherited from `GaussianMixture`: `ALPHA_SIGMA`, `BETA_SIGMA`, `MIN_SIGMA`, `use_cache`

Properties
Inherited from `AbstractStructureMixture`: `R`, `t` Inherited from `GaussianMixture`: `BIC`, `K`, `M`, `N`, `delta`, `dimension`, `log_likelihood`, `log_likelihood_reduced`, `means`, `membership`, `scales`, `sigma`, `w` Inherited from `object`: `__class__`

Method Details

### estimate_T(self)

source code

Estimate superpositions

Overrides: AbstractStructureMixture.estimate_T
  (inherited documentation)